import { Node } from './Node';
import { Element } from './Element';
export declare class ParentNode extends Node {
    readonly children: Element[];
    readonly firstElementChild: Element | undefined;
    readonly lastElementChild: Element | undefined;
    readonly childElementCount: number;
    textContent: string;
    getElementById(id: string): Element | undefined;
    getElementsByClassName(className: string): Element[];
    getElementsByTagName(tagName: string): Element[];
}
